/*
 * mkfifo.c
 */


#include<unistd.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<fcntl.h>
#include<sys/stat.h>


int mkfifo(const char *pathname, mode_t mode)
{
	int fd;


	if((fd=creat(pathname,mode|O_FIFO))==-1)return -1;
	close(fd);

	return 0;
}
